# Charts Highcharts Grouped Categories

This module creates a Views style plugin that extends the [Charts](https://www.drupal.org/project/charts) module's
style plugin to enable the [Highcharts Grouped Categories](https://blacklabel.github.io/grouped_categories/) feature.


For a full description of the module, visit the
[project page](https://www.drupal.org/project/charts_highcharts_grouped_categories).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/charts_highcharts_grouped_categories).

## Table of contents

- Dependencies
- Requirements
- Installation
- Configuration
- Maintainers

## Dependencies

* [Highcharts Grouped Categories library](https://www.drupal.org/project/issues/charts_highcharts_grouped_categories) (>=1.3.2)

## Requirements

This module requires the following module:

- [Charts](https://www.drupal.org/project/charts)

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

### Installation using Composer (recommended)

If you use Composer to manage dependencies, edit your site's "composer.json"
file as follows.

1. Run `composer require --prefer-dist composer/installers` to ensure that
   you have the "composer/installers" package installed. This package
   facilitates the installation of packages into directories other than
   "/vendor" (e.g. "/libraries") using Composer.

2. Add the following to the "installer-paths" section of "composer.json":

        "libraries/{$name}": ["type:drupal-library"],

3. Add the following to the "repositories" section of "composer.json":

        {
            "type": "package",
            "package": {
                "name": "highcharts/grouped-categories",
                "version": "1.3.2",
                "type": "drupal-library",
                "extra": {
                    "installer-name": "highcharts_grouped-categories"
                },
                "dist": {
                    "url": "https://raw.githubusercontent.com/blacklabel/grouped_categories/refs/heads/master/grouped-categories.js",
                    "type": "file"
                }
            }
        }

4. Run `composer require --prefer-dist highcharts/grouped-categories:1.3.2
` - you should find that new directories have been
   created under "/libraries"

## Configuration

The module has no menu or modifiable settings. There is no configuration. When
enabled, the module will add a new style plugin (Chart highcharts grouped categories) inside the site Views.
The style option form come with three more fields to set up your grouped categories chart.

* These fields allow you to choose the categories levels field of the chart.


## Maintainers

- Mamadou Diao Diallo - [diaodiallo](https://www.drupal.org/u/diaodiallo)
- Daniel Cothran - [andileco](https://www.drupal.org/u/andileco)
